PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List pipelines GETCreate a pipeline POSTGet a pipeline GETRename a pipeline PATCHDelete a pipeline DELETEList stages in a pipeline GETCreate a stage POSTUpdate a stage PATCHDelete a stage DELETE
Pipelines

List stages in a pipeline

GET
/pipelines/{pipelineId}/stages

Authorization

x-api-key<token>

In: header

Path Parameters

pipelineId*string

Response Body

application/json

curl -X GET "https://example.com/pipelines/string/stages"
{  "data": [    {      "id": "string",      "pipelineId": "string",      "name": "string",      "color": "string",      "type": "OPEN",      "isNurture": true,      "rank": "string"    }  ],  "meta": {    "total": 0,    "limit": 0,    "offset": 0  }}

Delete a pipeline DELETE

Previous Page

Create a stage POST

Next Page